<?php 
class BobotPreferensi_m extends CI_Model
{

  function __construct()
  {
    parent::__construct();
  }

  // Fungsi untuk menampilkan data bobot_preferensi dari tabel
  public function get_all_data()
	{
		$query = $this->db->get('bobot_preferensi');
		return $query->result();
	}

  // Fungsi untuk menambahkan data bobot_preferensi ke dalam tabel
  public function insert($data) {
    $this->db->insert('bobot_preferensi', $data);
    return $this->db->insert_id(); // Mengembalikan ID dari data yang baru ditambahkan
  }

  // Fungsi untuk mengupdate data bobot_preferensi berdasarkan ID
  public function update($id, $data) {
      $this->db->where('id_bobot', $id);
      return $this->db->update('bobot_preferensi', $data);
  }

  // Fungsi untuk menghapus data bobot_preferensi berdasarkan ID
  public function delete($id) {
      $this->db->where('id_bobot', $id);
      return $this->db->delete('bobot_preferensi');
  }
}
?>